vos delentry               AFS Commands            vos delentry


NAME

   vos delentry -- remove specified entry from VLDB.


   vos delentry  -id <volume name or ID>
   [-prefix <prefix of volume whose VLDB entry is to be
   deleted>]
   [-server <machine name>]  [-partition <partition name>]
   [-cell <cell name>]  [-noauth]  [-localauth]  [-verbose]
   [-help]

ACCEPTABLE ABBREVIATIONS/ALIASES

   vos de  -i <volume name or ID>
   [-pr <prefix of volume whose VLDB entry is to be deleted>]
         [-s <machine name>]  [-pa <partition name>]  [-c <cell
   name>]
   [-n]  [-l]  [-v]  [-h]

DESCRIPTION

   Removes  the VLDB entry for the indicated volume(s) from the
   VLDB.  Each volume may be any of the three types (ReadWrite,
   ReadOnly  or  Backup),  but  the  entire entry is removed no
   matter which type is provided.  The command has no effect on
   the actual volumes on file server machines, if they exist.

   This  command  is  useful  if  the  system  administrator is
   certain that a volume removal was not recorded in  the  VLDB
   (perhaps the vos zap command was used), and does not want to
   take the  time  to  use  vos syncserv  and  vos syncvldb  to
   synchronize an entire file server machine.

   By  using  the -id argument alone, or combining the -prefix,
   -server and -partition arguments in different  ways,  it  is
   possible  to  remove  the  VLDB entry for varying numbers of
   volumes.  To remove the VLDB entry for:

      - a single volume,  provide  its  complete  name  or
        volumeID number as -id.

      - every  volume  whose  name  begins  with a certain
        character string (for  example,  sys.  or  user.),
        regardless of site, use -prefix.

      - every  volume listed as residing on a certain file
        server machine, specify the file server name  with
        -server.

      - every  volume listed as residing on a partition of
        the same name (for instance,  on  /vicepa  on  any
        file  server  machine), specify the partition name
        with -partition.

      - every volume on a  certain  partition  of  a  file
        server   machine,   specify   both   -server   and
        -partition.

      - every volume with a certain prefix that resides on
        a   file   server  machine,  combine  -prefix  and



        -server.    The  -prefix  argument  may  also   be
        combined  with  -partition,  or  both  -server and
        -partition, in this way.

WARNING

   This command should not be  used  as  the  standard  way  to
   remove a volume, as it is likely to put the VLDB out of sync
   with the volumes on servers.  Use vos remove instead.

ARGUMENTS

   -id             specifies  either  the  complete   name   or
                   volumeID  number of the volume, which may be
                   ReadWrite, ReadOnly or Backup.   The  entire
                   entry  is  removed,  no matter which type is
                   provided.  Provide  this  argument  OR  some
                   combination    of   -prefix,   -server   and
                   -partition.

   -prefix         specifies a character string of any  length.
                   Every  VLDB  listing  a  volume  whose  name
                   begins  with  this  exact  string  will   be
                   removed (subject to modulations from -server
                   and -partition).  Include  field  separators
                   (such  as  periods)  if  appropriate.   This
                   argument may be combined with -server and/or
                   -partition.

   -server         names  a  file  server machine.  If the VLDB
                   entry mentions this file server  machine  as
                   the  site  for  a  volume, the entry will be
                   removed.  Abbreviated forms of machine names
                   may  be  allowed  depending  on  the  naming
                   service available at the time the command is
                   issued;  see  page  xii  in the introductory
                   About This Manual chapter.    This  argument
                   may   be   combined   with   -prefix  and/or
                   -partition.

   -partition      names  a  partition.    If  the  VLDB  entry
                   mentions  this  partition  as the site for a
                   volume, the  entry  will  be  removed.    In
                   addition  to  the  full  /vicepx  form  of a
                   partition  name,  three  shorter  forms  are
                   acceptable; see page xii in the introductory
                   About This Manual chapter.    This  argument
                   may be combined with -prefix and/or -server.

   -cell           specifies  the  cell  in  which  to  run the
                   command.  See section 8.3 in  the  Reference
                   Manual for more details.  -noauth
                   tells the Volume and Volume Location Servers
                   to  assign  the  identity  anonymous  to the
                   issuer.  See section 8.3  in  the  Reference
                   Manual for more details.  -localauth
                   constructs a server ticket using a key  from
                   /usr/afs/etc/KeyFile.    See  section 8.3 in
                   the  Reference  Manual  for  more   details.
                   -verbose
                   tells the Volume and Volume Location Servers



                   to  report  on  what  they are doing as they
                   execute the command.  See section 8.3 in the
                   Reference Manual for more details.  -help
                   prints the online help for this command.  Do
                   not  provide  any  other  arguments or flags
                   with this one.    See  section  8.3  in  the
                   Reference Manual for more details.

EXAMPLES

   The   following  removes  the  VLDB  entry  for  the  volume
   user.temp.

   % vos del user.temp

   The following removes all VLDB entries that describe volumes
   stored on fs3.transarc.com whose names begin with the string
   "test".

   % vos del -pr test -s fs3.transarc.com

PRIVILEGE REQUIRED

   Issuer must be listed in /usr/afs/etc/UserList on -server.

MORE INFORMATION

   vos remove vos remsite vos syncserv vos syncvldb vos zap
